Package org.apache.maven.scm.provider.synergy.consumer

## Class SynergyGetWorkingProjectConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.synergy.consumer.SynergyGetWorkingProjectConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class SynergyGetWorkingProjectConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Parse output of

      ccm wa -show -p <project_spec>

Author:
  Julien Henry

### Constructor Summary

Constructors
`SynergyGetWorkingProjectConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.lang.String` `getProjectSpec()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyGetWorkingProjectConsumer

    public SynergyGetWorkingProjectConsumer​(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getProjectSpec

    public java.lang.String getProjectSpec()